--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: instance
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: The command manager registers and installs all the individual sub-commands supported by the gem command.
constants: []

full_name: Gem::CommandManager
includes: 
- !ruby/object:RI::IncludedModule 
  name: UserInteraction
instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: "[]"
- !ruby/object:RI::MethodSummary 
  name: command_names
- !ruby/object:RI::MethodSummary 
  name: find_command
- !ruby/object:RI::MethodSummary 
  name: find_command_possibilities
- !ruby/object:RI::MethodSummary 
  name: process_args
- !ruby/object:RI::MethodSummary 
  name: register_command
- !ruby/object:RI::MethodSummary 
  name: run
name: CommandManager
superclass: Object
